package com.willalp.apply.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 编码申请对象 hs_sys_apply
 *
 * @author bjh
 * @date 2022-01-04
 */

@TableName("hs_sys_apply")
public class HsSysApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 机构id */
    @Excel(name = "机构id")
    private String jgid;

    /** 编码规则id */
    @Excel(name = "编码规则id")
    private String codeid;

    /** 编码值 */
    @Excel(name = "编码值")
    private String codevalue;

    @Excel(name = "编码值")
    private String codeapply;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setJgid(String jgid)
    {
        this.jgid = jgid;
    }

    public String getJgid()
    {
        return jgid;
    }
    public void setCodeid(String codeid)
    {
        this.codeid = codeid;
    }

    public String getCodeid()
    {
        return codeid;
    }
    public void setCodevalue(String codevalue)
    {
        this.codevalue = codevalue;
    }

    public String getCodevalue()
    {
        return codevalue;
    }

    public String getCodeapply() {
        return codeapply;
    }

    public void setCodeapply(String codeapply) {
        this.codeapply = codeapply;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jgid", getJgid())
            .append("codeid", getCodeid())
            .append("codevalue", getCodevalue())
            .append("codeapply", getCodeapply())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
